> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Extract



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/assistant/web-clipper/extract
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant/web-clipper/extract:
    post:
      tags:
        - Assistant Web Clipper
      summary: Extract
      operationId: AssistantWebClipperController_extract_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebClipperExtractDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebClipperExtractResponseDto'
components:
  schemas:
    WebClipperExtractDto:
      type: object
      properties:
        clientTurnId:
          type: string
          minLength: 1
          maxLength: 200
        page:
          type: object
          properties:
            url:
              type: string
              minLength: 1
              maxLength: 2048
            title:
              type: string
              maxLength: 500
            metaDescription:
              anyOf:
                - type: string
                  maxLength: 1000
                - type: 'null'
            ogTags:
              type: object
              propertyNames:
                type: string
                maxLength: 200
              additionalProperties:
                type: string
                maxLength: 500
            jsonLd:
              maxItems: 4
              type: array
              items:
                type: string
                maxLength: 8000
            text:
              type: string
              maxLength: 24000
          required:
            - url
            - title
            - metaDescription
            - ogTags
            - jsonLd
            - text
          additionalProperties: false
        columns:
          minItems: 1
          maxItems: 60
          type: array
          items:
            type: object
            properties:
              slug:
                type: string
                minLength: 1
                maxLength: 200
              name:
                type: string
                minLength: 1
                maxLength: 200
              type:
                enum:
                  - text
                  - number
                  - percent
                  - boolean
                  - list
                  - multiple_select
                  - date
                  - image
                  - dimension
                type: string
              options:
                maxItems: 200
                type: array
                items:
                  type: object
                  properties:
                    label:
                      type: string
                      maxLength: 500
                    value:
                      type: string
                      maxLength: 500
                  required:
                    - label
                    - value
                  additionalProperties: false
              description:
                anyOf:
                  - type: string
                    maxLength: 2000
                  - type: 'null'
            required:
              - slug
              - name
              - type
            additionalProperties: false
      required:
        - clientTurnId
        - page
        - columns
      additionalProperties: false
    WebClipperExtractResponseDto:
      type: object
      properties:
        runId:
          type: string
        status:
          enum:
            - completed
            - failed
          type: string
        fields:
          type: array
          items:
            $ref: '#/components/schemas/WebClipperExtractedFieldDto'
        chargedCredits:
          type: string
        errorCode:
          type: string
      required:
        - runId
        - status
    WebClipperExtractedFieldDto:
      type: object
      properties:
        slug:
          type: string
        value:
          type: object
        confidence:
          type: number
      required:
        - slug
        - value
        - confidence

````